现在的位置: 首页 > 移动开发 > 正文

Eclipse 更新Android SDK后,新建项目出现appcompat_v7工程的相关问题

2019年05月11日 移动开发 ⁄ 共 1567字 ⁄ 字号 评论关闭

Eclipse 更新Android SDK后,新建项目出现各种问题,网上各种解决方案,搞了好久,总结一下。

1、出现error: Error retrieving parent for item: No resource found that matches the given name 'android:Widget.Material.ActionButton'

新建工程后,出现error: Error retrieving parent for item: No resource found that matches the given name 'android:Widget.Material.ActionButton'

这个是新建项目时,Target SDK和Compile With没有选择最新的API21造成的。

解决方法1:重新新建项目,Target SDK和Compile With 都选API21:

解决方法2:

分别对appcompat_v7项目和你新建的项目右键-properties,选择Android-Project Build Target中选择Android 5.0,注意:appcompat_v7项目的Library 的Is Library要选上。

2、缺少appcompat_v7\bin\appcompat_v7.jar文件

如果你Target SDK和Compile With 都选了API21了,但是生成的项目还是有error,说缺少appcompat_v7\bin\appcompat_v7.jar文件,如图所示:

你会发现项目创建好后,workspace栏里除了我们创建的“test”项目,还多了一个名为“appcompat_v7”的包,而且这个包显示有错误(红色x号),而“Hello”包显示一个红色的感叹号。

解决方法是:点击菜单栏"Project",选择"Clean",然后点击"OK",Clean完成后,你会发现appcompat_v7包出错、Hello包出现红色警告的问题已经解决了。

3、错误Parsing Data for android-21 failed

如果你使用的是最新的Android 5.0 SDK,但是打开eclipse时弹出错误Parsing Data for android-21 failed:


解决方法:升级JDK!原来版本的Java1.6不满足要求,需升级到1.7或1.8版本。

虽然我也不太明白,不过归根结底应该是更新Android SDK之后,新建工程之后工具加载的appcompat_v7工程里有Android5.0的一些代码,导致的错误,其实应该是这个Android插件不太智能吧,先这样将就着,以后有更深入理解再说。

附:appcompat_v7作用

1.appcompat_v7:应用兼容包,V7说的是版本7,即android2.1,这个兼容包支持2.1版本以上系统
2.最近谷歌官方将兼容jar包与某些资源文件单独拿出来建立了一个android工程,实际上是一个资源库,右击此项目进入build path-点击android,你会发现is library打了勾,说明它是库。其实这个库可以被多个项目共用,库中已经包含了v7.jar包,还有一些适配性的资源,你可以在开发多个项目时,将一些共用的代码,资源放入库中,方便使用。低版本ADT建立项目时没有自动生成库,不过当我们需要时,可以新建项目,将is library打钩即可。高版本ADT自动生成库,如果不需要,只需要在你新建的项目上右击Properties
 -- android --  library下选中库,点击remove移除即可。
3.当你的应用打包或者运行时,库会自动作为项目一部分进行打包编译。

参考:https://jingyan.baidu.com/article/3ea51489e04eb852e61bbaa4.html

抱歉!评论已关闭.